Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.fcm	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_CICLAD.fcm	(revision 4727)
@@ -1,4 +1,5 @@
 %COMPILER            $MPI_BIN/mpif90
 %LINK                $MPI_BIN/mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.fcm	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.fcm	(revision 4727)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE.path	(revision 4727)
@@ -1,14 +1,27 @@
-NETCDF_LIBDIR="-L/usr/local/install/netcdf-4.3.2p/lib -lnetcdff -lnetcdf -L/usr/local/install/hdf5-1.8.9p/lib -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
-NETCDF_INCDIR=-I/usr/local/install/netcdf-4.3.2p/include
-NETCDF95_INCDIR=$LMDGCM/../../include
-NETCDF95_LIBDIR=$LMDGCM/../../lib
-IOIPSL_INCDIR="$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="$LMDGCM/../../lib -lioipsl -L$LMDGCM/../IOIPSL/lib" 
-ORCH_INCDIR=$LMDGCM/../../lib
-ORCH_LIBDIR=$LMDGCM/../../lib
-OASIS_INCDIR=
-OASIS_LIBDIR=
-INCA_LIBDIR=$LMDGCM/../INCA/config/lib
-INCA_INCDIR=$LMDGCM/../INCA/config/inc
-XIOS_INCDIR=$LMDGCM/../XIOS/inc
-XIOS_LIBDIR=$LMDGCM/../XIOS/lib
+NETCDF_INCDIR="-I/usr/local/install/netcdf-4.3.2p/include"
+NETCDF_LIBDIR="-L/usr/local/install/netcdf-4.3.2p/lib -L/usr/local/install/hdf5-1.8.9p/lib"
+NETCDF_LIB="-lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lhdf5 -lz -lcurl"
+
+NETCDF95_INCDIR=-I/home/orchideeshare/igcmg/Tools/NetCDF95.intel-fcomp.2020/include/NetCDF95
+NETCDF95_LIBDIR=-L/home/orchideeshare/igcmg/Tools/NetCDF95.intel-fcomp.2020/lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+ORCH_LIB=
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.fcm	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.fcm	(revision 4727)
@@ -0,0 +1,17 @@
+%COMPILER            mpif90
+%LINK                mpif90
+%FPP                 cpp
+%AR                  ar
+%ARFLAGS             rs
+%MAKE                gmake
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE 
+%BASE_FFLAGS         -i4 -r8 -auto -align all -fp-model precise -fimf-arch-consistency=true
+%PROD_FFLAGS         -O2 
+%DEV_FFLAGS          -p -g -O2 -traceback -fp-stack-check 
+%DEBUG_FFLAGS        -p -g -traceback -fp-stack-check -ftrapuv -check bounds
+%MPI_FFLAGS
+%OMP_FFLAGS          -openmp
+%BASE_LD             -i4 -r8 
+%MPI_LD
+%OMP_LD              -openmp
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.path
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.path	(revision 4727)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_LSCE_2023.path	(revision 4727)
@@ -0,0 +1,27 @@
+NETCDF_INCDIR="-I $NETCDF4_DIR/include"
+NETCDF_LIBDIR="-L $NETCDF4_DIR/lib"
+NETCDF_LIB="-lnetcdff -lnetcdf "
+
+NETCDF95_INCDIR=-I/home/orchideeshare/igcmg/Tools/NetCDF95.intel-fcomp.2020/include/NetCDF95
+NETCDF95_LIBDIR=-L/home/orchideeshare/igcmg/Tools/NetCDF95.intel-fcomp.2020/lib
+NETCDF95_LIB=-lnetcdf95
+
+IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
+IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+IOIPSL_LIB="-lioipsl"
+
+XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
+XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+XIOS_LIB="-lxios -lstdc++"
+
+ORCH_INCDIR="-I$LMDGCM/../../lib"
+ORCH_LIBDIR="-L$LMDGCM/../../lib"
+ORCH_LIB=
+
+OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
+OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
+OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
+
+INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
+INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
+INCA_LIB="-lchimie"
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.env	(revision 4727)
@@ -8,3 +8,3 @@
 module load netcdf-fortran/4.5.3-mpi
 module load netcdf-c/4.7.4-mpi
-
+module load netcdf95
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.fcm	(revision 4727)
@@ -1,4 +1,5 @@
 %COMPILER            mpif90
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-ifort_MESOIPSL.path	(revision 4727)
@@ -1,5 +1,9 @@
 NETCDF_INCDIR="-I $NETCDF_FORTRAN_ROOT/include -I${HDF5_ROOT}/include"
 NETCDF_LIBDIR="-L${NETCDF_FORTRAN_ROOT}/lib -L${NETCDF_C_ROOT}/lib -L${HDF5_ROOT}"
-NETCDF_LIB="-lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz -lcurl -lstdc++"
+NETCDF_LIB="-lnetcdff -lnetcdf"
+
+NETCDF95_INCDIR=-I$NETCDF95_ROOT/include/NetCDF95
+NETCDF95_LIBDIR=-L$NETCDF95_ROOT/lib
+NETCDF95_LIB=-lnetcdf95
 
 IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.fcm	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-linux-32bit.fcm	(revision 4727)
@@ -1,4 +1,5 @@
 %COMPILER            pgf95
 %LINK                pgf95
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: /LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.fcm
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.fcm	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/arch/arch-pgf_CICLAD.fcm	(revision 4727)
@@ -1,4 +1,5 @@
 %COMPILER            $MPI_BIN/mpif90
 %LINK                $MPI_BIN/mpif90
+%FPP                 cpp
 %AR                  ar
 %ARFLAGS             rs
Index: /LMDZ6/branches/LMDZ_ECRad/bld.cfg
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/bld.cfg	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/bld.cfg	(revision 4727)
@@ -7,7 +7,4 @@
 # Build information
 # ------------------------------------------------------------------------------
-
-#Default value of FPP fortran preprocessor
-%FPP cpp
 
 inc arch.fcm
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/abort_gcm.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/abort_gcm.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/abort_gcm.F	(revision 4727)
@@ -12,9 +12,6 @@
       USE ioipsl_getincom
 #endif
-
-#ifdef CPP_XIOS
-    ! ug Pour les sorties XIOS
+ ! ug Pour les sorties XIOS
       USE wxios
-#endif
 
 #include "iniprint.h"
@@ -34,8 +31,8 @@
       write(lunout,*) 'in abort_gcm'
 
-#ifdef CPP_XIOS
-    !Fermeture propre de XIOS
-      CALL wxios_close()
-#endif
+      IF (using_xios) THEN
+!Fermeture propre de XIOS
+        CALL wxios_close()
+      ENDIF
 
 #ifdef CPP_IOIPSL
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/conf_gcm.F90	(revision 4727)
@@ -15,5 +15,5 @@
   USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
                           iflag_top_bound, mode_top_bound, tau_top_bound, &
-                          ngroup
+                          ngroup, maxlatfilter
   USE logic_mod, ONLY: fxyhypb, iflag_phys, ok_etat0, ok_gradsfile, &
                        ok_guide, ok_limit, ok_strato, purmats, read_start, &
@@ -310,4 +310,11 @@
   CALL getin('dissip_deltaz',dissip_deltaz )
   CALL getin('dissip_zref',dissip_zref )
+
+  ! maxlatfilter
+  maxlatfilter=-1.0
+  CALL getin('maxlatfilter',maxlatfilter)
+  if (maxlatfilter > 90) &
+       call abort_gcm("conf_gcm", 'maxlatfilter should be <=90', 1)
+
 
   ! ngroup
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/dynetat0.F90	(revision 4727)
@@ -161,5 +161,14 @@
       ELSE
          CALL msg('Tracer <'//TRIM(var)//'> is missing => initialized to its parent isotope concentration.', modname)
-         q(:,:,:,iq) = q(:,:,:,iqIsoPha(iName,iPhase))
+         ! Camille 9 mars 2023: attention!! seuls les tags qui correspondent à
+         ! izone=izone_init (définie dans isotrac_mod) sont initialisés comme
+         ! les parents. Sinon, c'est nul.
+         ! j'ai fait ça en attendant, mais il faudrait initialiser proprement en
+         ! remplacant 1 par izone_init dans la ligne qui suit.
+         IF(tracers(iq)%iso_iZone == 1) THEN
+           q(:,:,:,iq) = q(:,:,:,iqIsoPha(iName,iPhase))
+         ELSE
+           q(:,:,:,iq) = 0.
+         END IF
       END IF
     !--------------------------------------------------------------------------------------------------------------------------
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/gcm.F90	(revision 4727)
@@ -14,8 +14,6 @@
 
 
-#ifdef CPP_XIOS
-  ! ug Pour les sorties XIOS
+! ug Pour les sorties XIOS
   USE wxios
-#endif
 
   USE filtreg_mod
@@ -156,7 +154,7 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-#ifdef CPP_XIOS
-  CALL wxios_init("LMDZ")
-#endif
+  IF (using_xios) THEN
+    CALL wxios_init("LMDZ")
+  ENDIF
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/replay3d.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/replay3d.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d/replay3d.F90	(revision 4727)
@@ -182,5 +182,5 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-      call get_ini_module
+      call call_ini_replay
 
 !---------------------------------------------------------------------
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advn.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advn.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advn.F	(revision 4727)
@@ -146,7 +146,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "iniprint.h"
 c
 c
@@ -263,7 +263,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "iniprint.h"
 c
 c
@@ -359,7 +359,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "iniprint.h"
 c
 c
@@ -746,8 +746,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
+      INCLUDE "iniprint.h"
 c
 c
@@ -877,8 +877,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
+      INCLUDE "iniprint.h"
 c
 c
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advz.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advz.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/advz.F	(revision 4727)
@@ -24,5 +24,5 @@
       include "paramet.h"
 
-C    #include "traceur.h"
+C     INCLUDE "traceur.h"
 
 C  Arguments :
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comconst_mod.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comconst_mod.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/comconst_mod.F90	(revision 4727)
@@ -26,4 +26,5 @@
       INTEGER iflag_top_bound ! sponge type
       INTEGER ngroup ! parameter to group points (along longitude) near poles
+      REAL maxlatfilter ! maximum latitude (in degrees) above which filter is active
       INTEGER mode_top_bound  ! sponge mode
       REAL tau_top_bound ! inverse of sponge characteristic time scale (Hz)
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/convflu.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/convflu.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/convflu.F	(revision 4727)
@@ -20,6 +20,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
       REAL       xflu,yflu,convfl,convpn,convps
       INTEGER    l,ij,nbniv
@@ -30,5 +30,5 @@
 c
 c
-#include "comgeom.h"
+      INCLUDE "comgeom.h"
 c
       DO 5 l = 1,nbniv
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diagedyn.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diagedyn.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diagedyn.F	(revision 4727)
@@ -57,12 +57,12 @@
       IMPLICIT NONE
 C
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
+      INCLUDE "iniprint.h"
 
 !#ifdef CPP_EARTH
-!#include "../phylmd/YOMCST.h"
-!#include "../phylmd/YOETHF.h"
+!      INCLUDE "../phylmd/YOMCST.h"
+!      INCLUDE "../phylmd/YOETHF.h"
 !#endif
 ! Ehouarn: for now set these parameters to what is in Earth physics...
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg.F	(revision 4727)
@@ -22,7 +22,7 @@
 c
 c   ---------------------------------------------------------------------
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 c
 c    ..........          variables en arguments    ...................
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg_gam.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg_gam.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/diverg_gam.F	(revision 4727)
@@ -23,7 +23,7 @@
 c
 c   ---------------------------------------------------------------------
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 c
 c    ..........          variables en arguments    ...................
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergf.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergf.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergf.F	(revision 4727)
@@ -22,7 +22,7 @@
 c
 c   ---------------------------------------------------------------------
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 c
 c    ..........          variables en arguments    ...................
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergst.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergst.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divergst.F	(revision 4727)
@@ -17,7 +17,7 @@
 c   -------------------------------------------------------------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
       INTEGER klevel
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divgrad2.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divgrad2.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/divgrad2.F	(revision 4727)
@@ -15,8 +15,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom2.h"
-#include "comdissipn.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom2.h"
+      INCLUDE "comdissipn.h"
 
 c    .......    variables en arguments   .......
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxy.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxy.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxy.F	(revision 4727)
@@ -27,5 +27,5 @@
      , rlonm025(iip1),xprimm025(iip1), rlonp025(iip1),xprimp025(iip1)
 
-#include "fxy_new.h"
+      INCLUDE "fxy_new.h"
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxysinus.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxysinus.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/fxysinus.F	(revision 4727)
@@ -16,6 +16,6 @@
 c
 c
-#include "dimensions.h"
-#include "paramet.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
 
        INTEGER i,j
@@ -26,5 +26,5 @@
      , rlonm025(iip1),xprimm025(iip1), rlonp025(iip1),xprimp025(iip1)
 
-#include "fxy_sin.h"
+      INCLUDE "fxy_sin.h"
 
 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_u_scal.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_u_scal.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_u_scal.F	(revision 4727)
@@ -30,7 +30,7 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c   Arguments:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_v_scal.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_v_scal.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gr_v_scal.F	(revision 4727)
@@ -30,7 +30,7 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c   Arguments:
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grad.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grad.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/grad.F	(revision 4727)
@@ -15,6 +15,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
       INTEGER klevel
       REAL  pg( ip1jmp1,klevel )
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gradiv2.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gradiv2.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/gradiv2.F	(revision 4727)
@@ -18,8 +18,8 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
-#include "comdissipn.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
+      INCLUDE "comdissipn.h"
 c
 c     ........    variables en arguments      ........
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/infotrac.F90
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/infotrac.F90	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/infotrac.F90	(revision 4727)
@@ -36,5 +36,5 @@
 !  |--------------------+-----------------------+-----------------+---------------+----------------------------|
 !  | water in different |    water tagging      |  water isotopes | other tracers | additional tracers moments |
-!  | phases: H2O_[gls]  |      isotopes         |                 |               |  for higher order schemes  |
+!  | phases: H2O_[glsb] |      isotopes         |                 |               |  for higher order schemes  |
 !  |--------------------+-----------------------+-----------------+---------------+----------------------------|
 !  |                    |                       |                 |               |                            |
@@ -65,5 +65,5 @@
 !  | longName    | Long name (with adv. scheme suffix) for outputs      | ttext       |                        |
 !  | type        | Type (so far: tracer or tag)                         | /           | tracer,tag             |
-!  | phase       | Phases list ("g"as / "l"iquid / "s"olid)             | /           | [g][l][s]              |
+!  | phase       | Phases list ("g"as / "l"iquid / "s"olid / "b"lowing) | /           | [g][l][s][b]           |
 !  | component   | Name(s) of the merged/cumulated section(s)           | /           | coma-separated names   |
 !  | iGeneration | Generation (>=1)                                     | /           |                        |
@@ -91,5 +91,5 @@
 !  | trac   | ntiso  | Isotopes + tagging tracers list + number         | / | ntraciso       |                 |
 !  | zone   | nzone  | Geographic tagging zones   list + number         | / | ntraceurs_zone |                 |
-!  | phase  | nphas  | Phases                     list + number         |                    | [g][l][s], 1:3  |
+!  | phase  | nphas  | Phases                     list + number         |                    |[g][l][s][b],1:4 |
 !  | iqIsoPha        | Index in "qx"           = f(name(1:ntiso)),phas) | iqiso              | 1:nqtot         |
 !  | itZonIso        | Index in "trac(1:ntiso)"= f(zone, name(1:niso))  | index_trac         | 1:ntiso         |
@@ -162,4 +162,5 @@
    TYPE(trac_type), POINTER             :: t1, t(:)
    INTEGER :: ierr
+   CHARACTER(LEN=maxlen),   ALLOCATABLE :: types_trac(:)  !--- Keyword for tracers type(s), parsed version
 
    CHARACTER(LEN=*), PARAMETER :: modname="init_infotrac"
@@ -175,4 +176,12 @@
    CALL msg('type_trac = "'//TRIM(type_trac)//'"', modname)
 
+   lerr=strParse(type_trac, '|', types_trac, n=nt)
+   IF (nt .GT. 1) THEN
+      IF (nt .GT. 2) CALL abort_gcm(modname, 'you need to modify type_trac, this version is not supported by lmdz', 1)
+      if (nt .EQ. 2) type_trac=types_trac(2)
+   ENDIF
+
+
+   
    !--- MESSAGE ABOUT THE CHOSEN CONFIGURATION
    msg1 = 'For type_trac = "'//TRIM(type_trac)//'":'
@@ -227,5 +236,5 @@
       nbtr = nqINCA + nqCO2                                          !--- Number of tracers passed to phytrac
       nqtrue = nbtr + nqo                                            !--- Total number of "true" tracers
-      IF(ALL([2,3] /= nqo)) CALL abort_gcm(modname, 'Only 2 or 3 water phases allowed ; found nqo='//TRIM(int2str(nqo)), 1)
+      IF(ALL([2,3,4,5] /= nqo)) CALL abort_gcm(modname, 'Only 2, 3, 4 , 5 water phases allowed ; found nqo='//TRIM(int2str(nqo)), 1)
       ALLOCATE(hadv(nqtrue), hadv_inca(nqINCA), conv_flg_inca(nqINCA), solsym_inca(nqINCA))
       ALLOCATE(vadv(nqtrue), vadv_inca(nqINCA),  pbl_flg_inca(nqINCA))
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/inigrads.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/inigrads.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/inigrads.F	(revision 4727)
@@ -16,5 +16,5 @@
       character(len=*),intent(in) :: titlel
 
-#include "gradsdef.h"
+      INCLUDE "gradsdef.h"
 
 c     data unit/66,32,34,36,38,40,42,44,46,48/
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien.F	(revision 4727)
@@ -14,7 +14,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_gam.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_gam.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_gam.F	(revision 4727)
@@ -16,7 +16,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rot.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rot.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rot.F	(revision 4727)
@@ -15,7 +15,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c 
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rotgam.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rotgam.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/laplacien_rotgam.F	(revision 4727)
@@ -14,7 +14,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
 c
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad.F	(revision 4727)
@@ -14,7 +14,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
       INTEGER klevel
       REAL rot( ip1jm,klevel ),x( ip1jmp1,klevel ),y(ip1jm,klevel )
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad_gam.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad_gam.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgrad_gam.F	(revision 4727)
@@ -14,7 +14,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
       INTEGER klevel
       REAL rot( ip1jm,klevel ),x( ip1jmp1,klevel ),y(ip1jm,klevel )
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgradst.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgradst.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgradst.F	(revision 4727)
@@ -13,7 +13,7 @@
 c       x  et y    sont des arguments de sortie pour le s-prog
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
       INTEGER klevel
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgraro2.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgraro2.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/nxgraro2.F	(revision 4727)
@@ -17,7 +17,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comdissipn.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comdissipn.h"
 c
 c    ......  variables en arguments  .......
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/pbar.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/pbar.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/pbar.F	(revision 4727)
@@ -75,8 +75,8 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
 
-#include "comgeom.h"
+      INCLUDE "comgeom.h"
 
       REAL pext( ip1jmp1 ),  pbarx ( ip1jmp1 )
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/psextbar.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/psextbar.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/psextbar.F	(revision 4727)
@@ -75,7 +75,7 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 
       REAL ps( ip1jmp1 ), psexbarxy ( ip1jm ), pext( ip1jmp1 )
Index: /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/rotat.F
===================================================================
--- /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/rotat.F	(revision 4726)
+++ /LMDZ6/branches/LMDZ_ECRad/libf/dyn3d_common/rotat.F	(revision 4727)
@@ -15,7 +15,7 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "paramet.h"
+      INCLUDE "comgeom.h"
 c
 c   .....  variables en arguments  ......
